## ignition-common3 3.11.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-common3 VERSION 3.11.1)

#============================================================================
# Find ignition-cmake
#============================================================================
find_package(ignition-cmake2 REQUIRED COMPONENTS utilities)
set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})

#============================================================================
# Configure the project
#============================================================================
ign_configure_project()

#============================================================================
# Set project-specific options
#============================================================================

#--------------------------------------
# Option: Should Windows test symlinking?
if(WIN32)
  option(
    IGN_BUILD_SYMLINK_TESTS_ON_WINDOWS
    "Creating symlinks requires special permissions on Windows, so those tests are disabled by default"
    false)
endif()

#--------------------------------------
# Option: Should we use our internal copy of tinyxml2?
if(UNIX OR APPLE)
  option(USE_EXTERNAL_TINYXML2 "Use a system-installed version of tinyxml2" ON)
elseif(WIN32)
  # For backward compatibility, this option on Windows by default is OFF
  option(USE_EXTERNAL_TINYXML2 "Use a system-installed version of tinyxml2" OFF)
endif()


#============================================================================
# Search for project-specific dependencies
#============================================================================
message(STATUS "\n\n-- ====== Finding Dependencies ======")

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED_BY graphics events)
set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find Tinyxml2
if(USE_EXTERNAL_TINYXML2)
  ign_find_package(TINYXML2 PRETTY tinyxml2
    REQUIRED_BY graphics
    PRIVATE_FOR graphics)
else()
  message(STATUS "Skipping search for tinyxml2 and using an internal version\n")
endif()

#--------------------------------------
# Find libdl
ign_find_package(
  DL REQUIRED PRIVATE PRETTY libdl PURPOSE "Required for plugins")

#--------------------------------------
# Find dependencies that we ignore for Visual Studio
if(NOT MSVC)

  #------------------------------------
  # Find uuid
  ign_find_package(UUID REQUIRED PRETTY uuid)

endif()

#------------------------------------
# Find Freeimage
ign_find_package(FreeImage VERSION 3.9
  REQUIRED_BY graphics
  PRIVATE_FOR graphics)

#------------------------------------
# Find GNU Triangulation Surface Library
ign_find_package(
  GTS PRETTY gts PURPOSE "GNU Triangulation Surface library"
  REQUIRED_BY graphics
  PRIVATE_FOR graphics)

#------------------------------------
# Find libswscale
ign_find_package(SWSCALE REQUIRED_BY av PRETTY libswscale)

#------------------------------------
# Find avdevice
ign_find_package(AVDEVICE VERSION 56.4.100 REQUIRED_BY av PRETTY libavdevice)

#------------------------------------
# Find avformat
ign_find_package(AVFORMAT REQUIRED_BY av PRETTY libavformat)

#------------------------------------
# Find avcodec
ign_find_package(AVCODEC REQUIRED_BY av PRETTY libavcodec)

#------------------------------------
# Find avutil
ign_find_package(AVUTIL REQUIRED_BY av PRETTY libavutil)


message(STATUS "-------------------------------------------\n")


#============================================================================
# Configure the build
#============================================================================
configure_file("${PROJECT_SOURCE_DIR}/cppcheck.suppress.in"
               ${PROJECT_BINARY_DIR}/cppcheck.suppress)

ign_configure_build(QUIT_IF_BUILD_ERRORS
  COMPONENTS av events graphics profiler)

#============================================================================
# Create package information
#============================================================================
ign_create_packages()


#============================================================================
# Create documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
  TAGFILES
    "${IGNITION-MATH_DOXYGEN_TAGFILE} = ${IGNITION-MATH_API_URL}"
  )

## ignition-common3 3.14.0

=== debian/changelog ===
ignition-common3 (3.14.0-1~buster) buster; urgency=medium

  * ignition-common3 3.14.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Wed, 13 Oct 2021 16:27:11 -0500

ignition-common3 (3.13.2-2~buster) buster; urgency=medium

  * ignition-common3 3.13.2-2 release

 -- Steve Peters <scpeters@openrobotics.org>  Wed, 09 Jun 2021 14:29:10 -0700

ignition-common3 (3.13.2-1~buster) buster; urgency=medium

  * ignition-common3 3.13.2-1 release

 -- Michael Carroll <michael@openrobotics.org>  Tue, 11 May 2021 12:12:47 -0500

ignition-common3 (3.13.1-1~buster) buster; urgency=medium

  * ignition-common3 3.13.1-1 release

 -- Nate Koenig <nate@openrobotics.org>  Mon, 03 May 2021 13:41:23 -0800

ignition-common3 (3.13.0-1~buster) buster; urgency=medium

  * ignition-common3 3.13.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Thu, 29 Apr 2021 08:36:34 -0500

ignition-common3 (3.12.0-1~buster) buster; urgency=medium

  * ignition-common3 3.12.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Tue, 06 Apr 2021 14:51:46 -0500

ignition-common3 (3.11.1-1~buster) buster; urgency=medium

  * ignition-common3 3.11.1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 08 Mar 2021 18:54:17 -0800

ignition-common3 (3.11.0-1~buster) buster; urgency=medium

  * ignition-common3 3.11.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 08 Mar 2021 10:43:11 -0800

ignition-common3 (3.10.1-1~buster) buster; urgency=medium

  * ignition-common3 3.10.1-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 20 Jan 2021 13:29:03 -0800

ignition-common3 (3.10.0-1~buster) buster; urgency=medium

  * ignition-common3 3.10.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 05 Jan 2021 13:57:44 -0800

ignition-common3 (3.9.0-1~buster) buster; urgency=medium

  * ignition-common3 3.9.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 21 Dec 2020 16:58:42 -0800

ignition-common3 (3.8.0-1~buster) buster; urgency=medium

  * ignition-common3 3.8.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Thu, 17 Dec 2020 10:00:35 -0600

ignition-common3 (3.7.0-1~buster) buster; urgency=medium

  * ignition-common3 3.7.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Thu, 22 Oct 2020 12:25:39 -0500

ignition-common3 (3.6.1-1~buster) buster; urgency=medium

  * ignition-common3 3.6.1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 16 Sep 2020 14:42:38 -0700

ignition-common3 (3.6.0-1~buster) buster; urgency=medium

  * ignition-common3 3.6.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 10 Jun 2020 11:32:57 -0700

ignition-common3 (3.5.0-1~buster) buster; urgency=medium

  * ignition-common3 3.5.0-1 release

 -- Ian Chen <ichen@osrfoundation.org>  Thu, 09 Apr 2020 16:13:13 -0700

ignition-common3 (3.4.0-1~buster) buster; urgency=medium

  * ignition-common3 3.4.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 21 Feb 2020 10:09:22 -0800

ignition-common3 (3.4.0~pre1-1~buster) buster; urgency=medium

  * ignition-common3 3.4.0~pre1-1 release

 -- Ian Chen <ichen@osrfoundation.org>  Fri, 07 Feb 2020 12:35:52 -0800

ignition-common3 (3.3.0-1~buster) buster; urgency=medium

  * ignition-common3 3.3.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 27 Aug 2019 15:17:20 -0700

ignition-common3 (3.2.0-1~buster) buster; urgency=medium

  * ignition-common3 3.2.0-1 release

 -- Nate Koenig <nate@osrfoundation.org>  Wed, 07 Aug 2019 19:12:31 -0800

ignition-common3 (3.1.0-1~buster) buster; urgency=medium

  * ignition-common3 3.1.0-1 release

 -- Steve Peters <scpeters@osrfoundation.org>  Sat, 18 May 2019 00:15:12 -0700

ignition-common3 (3.1.0~pre1-1~buster) buster; urgency=medium

  * ignition-common3 3.1.0~pre1-1 release

 -- Steve Peters <scpeters@osrfoundation.org>  Wed, 01 May 2019 10:48:52 -0700

ignition-common3 (3.0.0-2~buster) buster; urgency=medium

  * ignition-common3 3.0.0-2 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 28 Feb 2019 20:16:06 +0100

ignition-common3 (3.0.0-1~buster) buster; urgency=medium

  * ignition-common3 3.0.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 28 Feb 2019 18:08:49 +0100

ignition-common3 (3.0.0~pre5-1~buster) buster; urgency=medium

  * ignition-common3 3.0.0~pre5-1 release

 -- Nate Koenig <nate@osrfoundation.org>  Mon, 11 Feb 2019 08:44:08 -0800

ignition-common3 (3.0.0~pre4-1~buster) buster; urgency=medium

  * ignition-common3 3.0.0~pre4-1 release

 -- Steve Peters <scpeters@osrfoundation.org>  Fri, 11 Jan 2019 16:04:56 -0800

ignition-common3 (3.0.0~pre3-1~buster) buster; urgency=medium

  * ignition-common3 3.0.0~pre3-1 release

 -- Steve Peters <scpeters@osrfoundation.org>  Fri, 11 Jan 2019 12:14:39 -0800

ignition-common3 (3.0.0~pre2-1~buster) buster; urgency=medium

  * ignition-common3 3.0.0~pre2-1 release

 -- Nate Koenig <nate@osrfoundation.org>  Mon, 05 Nov 2018 14:59:36 -0700

ignition-common3 (3.0.0~pre1-2~buster) buster; urgency=medium

  * ignition-common3 3.0.0~pre1-2 release

 -- Nate Koenig <nate@osrfoundation.org>  Fri, 10 Sep 2018 08:51:57 -0700

ignition-common3 (3.0.0~pre1-1~buster) buster; urgency=medium

  * ignition-common3 3.0.0~pre1-1 release

 -- Nate Koenig <nate@osrfoundation.org>  Fri, 07 Sep 2018 10:13:40 -0700

=== debian/control ===
Source: ignition-common3
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 9),
               doxygen,
               libfreeimage-dev,
               libignition-cmake2-dev,
               libignition-math6-dev,
               libtinyxml2-dev,
               uuid-dev,
               libgts-dev,
               libavdevice-dev,
               libavformat-dev,
               libavcodec-dev,
               libswscale-dev,
               libavutil-dev
Vcs-Browser: https://bitbucket.org/ignitionrobotics/ign-common3-release
Vcs-Hg: https://bitbucket.org/ignitionrobotics/ign-common3-release
Homepage: http://ignitionrobotics.org/

Package: libignition-common3
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Common classes and functions for robot apps - Shared library
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Main shared library

Package: libignition-common3-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         uuid-dev,
         libignition-common3 (= ${binary:Version}),
         ${misc:Depends}
Breaks: libignition-common3-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common3-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Ignition Common classes and functions (core) - Development files
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Core development files

Package: libignition-common3-dev
Architecture: any
Section: libdevel
Depends: libignition-common3-core-dev (= ${binary:Version}),
         libignition-common3-av-dev (= ${binary:Version}),
         libignition-common3-events-dev (= ${binary:Version}),
         libignition-common3-graphics-dev (= ${binary:Version}),
         libignition-common3-profiler-dev (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Common classes and functions for robot apps - Metapackage
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Metapackage for development

Package: libignition-common3-av
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-common3 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common3 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Ignition Common classes and functions (AV) - Shared library
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 AV component of the library

Package: libignition-common3-av-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common3-core-dev (= ${binary:Version}),
         libavdevice-dev,
         libavformat-dev,
         libavcodec-dev,
         libswscale-dev,
         libavutil-dev,
         libignition-common3-av (= ${binary:Version}),
         ${misc:Depends}
Breaks: libignition-common3-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common3-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Ignition Common classes and functions (AV) - Development files
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 AV component of the library, development files

Package: libignition-common3-events
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-common3 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common3 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Ignition Common classes and functions (Events) - Shared library
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Events component of the library

Package: libignition-common3-events-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common3-core-dev (= ${binary:Version}),
         libignition-math6-dev,
         libignition-common3-events (= ${binary:Version}),
         ${misc:Depends}
Breaks: libignition-common3-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common3-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Ignition Common classes and functions (Events) - Development files
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Events component of the library, development files

Package: libignition-common3-graphics
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-common3 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common3 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Ignition Common classes and functions (Graphics) - Shared library
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Graphics component of the library

Package: libignition-common3-graphics-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common3-core-dev (= ${binary:Version}),
         libignition-math6-dev,
         libtinyxml2-dev,
         libgts-dev,
         libignition-common3-graphics (= ${binary:Version}),
         ${misc:Depends}
Breaks: libignition-common3-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common3-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Ignition Common classes and functions (Graphics) - Development files
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Graphics component of the library, development files

Package: libignition-common3-profiler
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-common3 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common3 (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Ignition Common classes and functions (Profiler) - Shared library
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Profiler component of the library

Package: libignition-common3-profiler-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common3-core-dev (= ${binary:Version}),
         libignition-common3-profiler (= ${binary:Version}),
         ${misc:Depends}
Breaks: libignition-common3-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Replaces: libignition-common3-dev (<< 3.0.0~pre5+hg20190228r1b2df90990)
Multi-Arch: same
Description: Ignition Common classes and functions (profiler) - Development files
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 profiler component of the library, development files

## ignition-common3 3.14.0%2Bdfsg

=== events/src/CMakeLists.txt ===

ign_get_libsources_and_unittests(sources gtest_sources)

ign_add_component(events SOURCES ${sources} GET_TARGET_NAME events_target)

target_link_libraries(${events_target}
  PUBLIC
    ignition-math${IGN_MATH_VER}::ignition-math${IGN_MATH_VER})

ign_build_tests(TYPE UNIT SOURCES ${gtest_sources}
  LIB_DEPS ${events_target})

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
    dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,repacksuffix=+dfsg \
    https://github.com/ignitionrobotics/ign-common/tags \
		(?:.*?/)@PACKAGE@.*_(\d[\d.]*)\.tar\.gz

## ignition-common3 3.14.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,12 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-common3 VERSION 3.11.1)
+project(ignition-common3 VERSION 3.14.0)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
-find_package(ignition-cmake2 REQUIRED COMPONENTS utilities)
+find_package(ignition-cmake2 2.8.0 REQUIRED COMPONENTS utilities)
 set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})
 
 #============================================================================
@@ -19,6 +19,8 @@
 #============================================================================
 # Set project-specific options
 #============================================================================
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 #--------------------------------------
 # Option: Should Windows test symlinking?

=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8 FATAL_ERROR)

# Find the ignition-common library
set(IGN_COMMON_VER 3)
find_package(ignition-common${IGN_COMMON_VER} QUIET REQUIRED COMPONENTS events profiler)

add_executable(assert_example assert_example.cc)
target_link_libraries(assert_example ignition-common${IGN_COMMON_VER}::core)

add_executable(console_example console.cc)
target_link_libraries(console_example ignition-common${IGN_COMMON_VER}::core)

add_executable(events_example events.cc)
target_link_libraries(events_example ignition-common${IGN_COMMON_VER}::events)

add_executable(profiler_example profiler.cc)
target_link_libraries(profiler_example ignition-common${IGN_COMMON_VER}::profiler)
target_compile_definitions(profiler_example PUBLIC "IGN_PROFILER_ENABLE=1")

=== src/CMakeLists.txt ===

# Collect source files into the "sources" variable and unit test files into the
# "gtest_sources" variable
ign_get_libsources_and_unittests(sources gtest_sources)

# Create the library target
ign_create_core_library(
  SOURCES ${sources}
  CXX_STANDARD 17)

# Link the libraries that we always need
target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
  PRIVATE ${DL_TARGET})

# Handle OS-dependent configuration settings
if(NOT WIN32)
  # Link the libraries that we don't expect to find on Windows
  target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
    PUBLIC UUID::UUID
    pthread)
else()
  target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
    PRIVATE shlwapi)
endif()

# don't build MovingWindowFilter_TEST if we don't have ignition-math
if(NOT ignition-math${IGN_MATH_VER}_FOUND)
  list(REMOVE_ITEM gtest_sources MovingWindowFilter_TEST.cc)
endif()

# Build the unit tests
ign_build_tests(
  TYPE UNIT
  SOURCES ${gtest_sources}
  LIB_DEPS
    ignition-cmake${IGN_CMAKE_VER}::utilities
  INCLUDE_DIRS
    # Used to make internal source file headers visible to the unit tests
    ${CMAKE_CURRENT_SOURCE_DIR}
    # Used to make test-directory headers visible to the unit tests
    ${PROJECT_SOURCE_DIR}
    # Used to make test_config.h visible to the unit tests
    ${PROJECT_BINARY_DIR})

if(TARGET UNIT_MovingWindowFilter_TEST)
  target_include_directories(UNIT_MovingWindowFilter_TEST PRIVATE
    ${ignition-math${IGN_MATH_VER}_INCLUDE_DIRS})
endif()

if(TARGET UNIT_PluginLoader_TEST)
  target_compile_definitions(UNIT_PluginLoader_TEST PRIVATE
    "IGN_COMMON_LIB_PATH=\"$<TARGET_FILE_DIR:${PROJECT_LIBRARY_TARGET_NAME}>\"")
endif()

# Produce warning on Windows if the user has decided to turn on the symlink
# tests. In order for those tests to work, they will need to run the tests in
# administrative mode, or use some other workaround.
if(WIN32)
  if(IGN_BUILD_SYMLINK_TESTS_ON_WINDOWS)
    message(STATUS "")
    message(STATUS "You have opted to enable symlink tests on a Windows platform.")
    message(STATUS "The test UNIT_Filesystem_TEST will require elevated privileges")
    message(STATUS "in order to succeed. For more information, see the issue")
    message(STATUS "https://github.com/ignitionrobotics/ign-common/issues/21")
    message(STATUS "")
    target_compile_definitions(UNIT_Filesystem_TEST PRIVATE IGN_BUILD_SYMLINK_TESTS_ON_WINDOWS)
  endif()
endif()

=== graphics/src/CMakeLists.txt ===

ign_get_libsources_and_unittests(sources gtest_sources)


if(NOT USE_EXTERNAL_TINYXML2)
  # If we are using our internal copy of tinyxml2, then add its
  # source file.
  message(STATUS "Adding tinyxml2 source files")
  list(APPEND sources ${CMAKE_CURRENT_SOURCE_DIR}/tinyxml2/tinyxml2.cpp)
endif()


ign_add_component(graphics SOURCES ${sources} GET_TARGET_NAME graphics_target)

target_link_libraries(${graphics_target}
  PUBLIC
    ignition-math${IGN_MATH_VER}::ignition-math${IGN_MATH_VER}
  PRIVATE
    GTS::GTS
    FreeImage::FreeImage)

ign_build_tests(TYPE UNIT SOURCES ${gtest_sources}
  LIB_DEPS ${graphics_target})

if(USE_EXTERNAL_TINYXML2)

  # If we are using an external copy of tinyxml2, add its imported target
  target_link_libraries(${graphics_target}
    PRIVATE
      TINYXML2::TINYXML2)

    # The collada exporter test uses tinyxml2, so we must link it if we're using
    # an external copy. The graphics target considers tinyxml2 to be a private
    # dependency, so it will not automatically get linked to this test.
    if(TARGET UNIT_ColladaExporter_TEST)
      target_link_libraries(UNIT_ColladaExporter_TEST TINYXML2::TINYXML2)
    endif()

else()

  # Otherwise, add its source directory to our target's PRIVATE include
  # directories. We do not want this to be visible to consumers of
  # ignition-common.
  target_include_directories(${graphics_target}
    PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/tinyxml2)

  if(TARGET UNIT_ColladaExporter_TEST)

    # If we are using the internal copy of tinyxml2, then the collada exporter
    # test needs to be pointed to the internal tinyxml2 include directory.
    target_include_directories(UNIT_ColladaExporter_TEST PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/tinyxml2)
    # We also need to add this as a source file to the collada exporter test's
    # target, because we do not export the tinyxml2 symbols that get generated
    # in the ignition-common library. Therefore, the collada exporter test
    # cannot link to those symbols and must generate its own.
    target_sources(UNIT_ColladaExporter_TEST PRIVATE tinyxml2/tinyxml2.cpp)

  endif()

endif()

# define of tinxml2 major version >= 6
# https://github.com/ignitionrobotics/ign-common/issues/28
if (NOT TINYXML2_VERSION VERSION_LESS "6.0.0")
  message(STATUS "TINYXML2_VERSION ${TINYXML2_VERSION} >= 6.0.0")
  target_compile_definitions(${graphics_target}
    PRIVATE "TINYXML2_MAJOR_VERSION_GE_6")
endif()

=== test/integration/CMakeLists.txt ===
# This is to make test_config.h visible
include_directories("${CMAKE_BINARY_DIR}")

ign_get_sources(tests)

# FIXME the mesh test does not work
list(REMOVE_ITEM tests mesh.cc)

if (SKIP_av)
  list(REMOVE_ITEM tests encoder_timing.cc)
  list(REMOVE_ITEM tests video_encoder.cc)
endif()

ign_build_tests(
  TYPE INTEGRATION
  SOURCES ${tests}
)

if(TARGET INTEGRATION_plugin)
  # We add this dependency to make sure that DummyPlugins gets generated
  # before INTEGRATION_plugin so that its auto-generated header is available.
  # We do not want to link INTEGRATION_plugin to the DummyPlugins library.
  add_dependencies(INTEGRATION_plugin IGNDummyPlugins)
endif()

if(TARGET INTEGRATION_encoder_timing)
  target_link_libraries(INTEGRATION_encoder_timing ${PROJECT_LIBRARY_TARGET_NAME}-av)
endif()

if(TARGET INTEGRATION_video_encoder)
  target_link_libraries(INTEGRATION_video_encoder ${PROJECT_LIBRARY_TARGET_NAME}-av)
endif()

=== test/performance/CMakeLists.txt ===
ign_get_sources(tests)

# plugin_specialization test causes lcov to hang
# see ign-cmake issue 25
if("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "COVERAGE")
  list(REMOVE_ITEM tests
    plugin_specialization.cc)
endif()

link_directories(${PROJECT_BINARY_DIR}/test)

ign_build_tests(
  TYPE PERFORMANCE
  SOURCES ${tests})

=== test/plugins/CMakeLists.txt ===
add_library(IGNBadPluginAlign         SHARED BadPluginAlign.cc)
add_library(IGNBadPluginAPIVersionNew SHARED BadPluginAPIVersionNew.cc)
add_library(IGNBadPluginAPIVersionOld SHARED BadPluginAPIVersionOld.cc)
add_library(IGNBadPluginSize          SHARED BadPluginSize.cc)
add_library(IGNDummyPlugins           SHARED DummyPlugins.cc)

set_property(TARGET IGNBadPluginAlign PROPERTY CXX_STANDARD 11)
set_property(TARGET IGNBadPluginAPIVersionNew PROPERTY CXX_STANDARD 11)
set_property(TARGET IGNBadPluginAPIVersionOld PROPERTY CXX_STANDARD 11)
set_property(TARGET IGNBadPluginSize PROPERTY CXX_STANDARD 11)
set_property(TARGET IGNDummyPlugins PROPERTY CXX_STANDARD 11)

# Create a variable for the name of the header which will contain the dummy plugin path.
# This variable gets put in the cache so that it is available at generation time.
set(IGN_DUMMY_PLUGIN_PATH_HEADER "DummyPluginsPath.h" CACHE INTERNAL "Name of header which contains DummyPlugin library path")

set(header_text "#define IGN_DUMMY_PLUGIN_PATH \"$<TARGET_FILE_DIR:IGNDummyPlugins>\"")

# Pipe the header text into a header that will be placed in the project binary directory.
# We need to use this approach instead of the usual configure_file, because we required a
# generator expression in order to locate the IGNDummyPlugins library on Windows. Generator
# expressions can only be evaluated during generation (as opposed to during configuration),
# so we must use add_custom_command in order to produce this header.
if(WIN32)
  # Including VERBATIM causes the wrong behavior on Windows, so we leave it out of the 
  # custom command when compiling on Windows.
  add_custom_command(TARGET IGNDummyPlugins
        PRE_BUILD
        COMMAND echo
        ARGS "${header_text}" > ${PROJECT_BINARY_DIR}/${IGN_DUMMY_PLUGIN_PATH_HEADER})
else()
  add_custom_command(TARGET IGNDummyPlugins
      PRE_BUILD
      COMMAND echo
      ARGS "${header_text}" > ${PROJECT_BINARY_DIR}/${IGN_DUMMY_PLUGIN_PATH_HEADER}
      VERBATIM)
endif()

=== av/include/ignition/common/CMakeLists.txt ===
ign_install_all_headers(COMPONENT av
  EXCLUDE_FILES HWEncoder.hh)

=== graphics/include/ignition/common/CMakeLists.txt ===

ign_install_all_headers(COMPONENT graphics)

=== debian/changelog ===
ignition-common3 (3.14.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Add missing dependency (Closes: #1004072)
  * Fix multi-arch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 29 Jan 2022 09:49:11 +0100

ignition-common3 (3.14.0+dfsg-4) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 11 Jan 2022 16:39:03 +0000

ignition-common3 (3.14.0+dfsg-3) experimental; urgency=medium

  * libignition-common3-dev needs depends on profiler and events libraries
  * Wildcards in .install seems not to be acting as they should genering
    dups. Changed by fixed value.
  * Import override from master branch

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 20 Dec 2021 15:39:32 +0000

ignition-common3 (3.14.0+dfsg-2) experimental; urgency=medium

  * Update changelog
  * Add doxygen to build-deps
  * Remove gitlab file
  * Support for multiple -dev files since there are components with large
    dependency chains.
  * New package to support transition from Gazebo to ignition-gazebo
    Gazebo simulator will be deprecated in the next year, upstream recommends
    the migration to ignition-gazebo. To support this transition,
    ignition-common3 and ignition-common (already available) will be in
    Debian to help with the installation of both simulators.  Upstream supports
    parallel installation of different major versions.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 15 Nov 2021 23:28:18 +0000

ignition-common (3.14.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.14.0+dfsg
    (Closes: #984182)
  * Remove C++11 gtest patch
  * Refresh patch
  * Include more ignored tests due to copyright issues
  * Update standards

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 10 Oct 2021 22:20:41 +0000

ignition-common (3.5.0+dfsg1-5) unstable; urgency=medium

  * Team upload.

  [ Vagrant Cascadian ]
  * debian/rules: Disable fixfilepath feature, as it triggers build failures
    when enabled.

  [ Jochen Sprickerhof ]
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 08 Jan 2021 09:55:45 +0100

ignition-common (3.5.0+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Add missing dependency.
    Thanks to Silvio Traversaro

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 22 Aug 2020 15:54:26 +0200

ignition-common (3.5.0+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Make breaks versioned, thanks elbrus

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 29 Apr 2020 22:40:42 +0200

ignition-common (3.5.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Remove copyright of excluded file
  * Add breaks for old ignition-fuel-tools
  * Fix d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 24 Apr 2020 20:53:52 +0200

ignition-common (3.5.0+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * Switch to libtinyobjloader-dev (Closes: #958328)
  * New upstream version 3.5.0+dfsg1

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 20 Apr 2020 19:39:25 +0200

ignition-common (3.5.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fix VCs URLs

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 20 Apr 2020 10:01:01 +0200

ignition-common (3.5.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add missing dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 19:20:15 +0200

ignition-common (3.5.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Update d/watch to Github
  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 11:34:15 +0200

ignition-common (3.5.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  [ Jose Luis Rivero ]
  * Update watch
  * Update compat, standards and package names
  * Remove patch merged upstream
  * Update patch
  * Add repack to watch
  * Update excludes
  * New upstream version 3.3.0+dfsg
  * Update changelog
  * Fix pkg-config name
  * Split libraries
  * Fix package name
  * Fix conflicts
  * Add overrides

  [ Jochen Sprickerhof ]
  * Update watch file
  * Update File-Excluded
  * New upstream version 3.5.0+dfsg
  * Update copyright
  * Update and simplify package names (Soname bump)
  * Rebase and update patches
  * Update packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Apr 2020 18:24:48 +0200

ignition-common (3.3.0+dfsg-1) unstable; urgency=medium

  * Update watch, add repack to watch
  * Update compat and standards
  * Rename library package name to ignition-common3
  * Remove patch merged upstream
  * Update excludes
  * New upstream version 3.3.0+dfsg
    (Closes: #948537)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 10 Feb 2020 21:52:19 +0000

ignition-common (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1
  * Remove some cmake options that were not used in source code

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 17 Oct 2018 10:55:15 +0000

ignition-common (1.0.1-1) unstable; urgency=medium

  * Imported Upstream version 0.1.0
    (Closes: #832806)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 05 Feb 2018 16:10:10 +0000

=== debian/control ===
Source: ignition-common3
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper-compat (= 13),
               doxygen,
               libgtest-dev,
               libfreeimage-dev,
               libignition-cmake-dev (>= 2.8.0),
               libignition-math-dev (>= 6),
               libtinyxml2-dev,
               uuid-dev,
               libgts-dev,
               libavformat-dev,
               libavcodec-dev,
               libavdevice-dev,
               libswscale-dev,
               libtinyobjloader-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/ignition-common
Vcs-Git: https://salsa.debian.org/science-team/ignition-common.git
Homepage: https://ignitionrobotics.org/libs/common

Package: libignition-common3-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev,
         uuid-dev,
         libignition-common3-3 (= ${binary:Version}),
         libtinyobjloader-dev,
         ${misc:Depends}
Multi-Arch: same
Breaks: libignition-common-dev (<< 3.14.0+dfsg-1~)
Replaces: libignition-common-dev (<< 3.14.0+dfsg-1~)
Description: Collection of useful code used by robotics apps - Core dev files
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 Core development files

Package: libignition-common3-3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Shared library
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 This package gathers the shared library

Package: libignition-common3-av3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Collection of useful code used by robotics apps - AV libraries
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 AV component of the library

Package: libignition-common3-av-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev,
         libignition-common3-core-dev,
         libavdevice-dev,
         libavformat-dev,
         libavcodec-dev,
         libswscale-dev,
         libavutil-dev,
         libignition-common3-av3 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Breaks: libignition-common-dev (<< 3.14.0+dfsg-1~)
Replaces: libignition-common-dev (<< 3.14.0+dfsg-1~)
Description: Collection of useful code used by robotics apps - AV dev files
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 AV component of the library, development files

Package: libignition-common3-events3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Events libraries
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 Events component of the library

Package: libignition-common3-graphics-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev,
         libignition-common3-core-dev,
         libignition-math-dev,
         libtinyxml2-dev,
         libgts-dev,
         libignition-common3-graphics3 (= ${binary:Version}),
         ${misc:Depends}
Breaks: libignition-common-dev (<< 3.14.0+dfsg-1~)
Replaces: libignition-common-dev (<< 3.14.0+dfsg-1~)
Multi-Arch: same
Description: Ignition Common classes and functions (Graphics) - Development files
 Ignition Common is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Graphics component of the library, development files

Package: libignition-common3-graphics3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Graphics libraries
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 Graphics component of the library

Package: libignition-common3-profiler3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Collection of useful code used by robotics apps - Profiler libs
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 Profiler component of the library

Package: libignition-common3-dev
Architecture: any
Section: libdevel
Depends: libignition-common3-core-dev (= ${binary:Version}),
         libignition-common3-av-dev (= ${binary:Version}),
         libignition-common3-graphics-dev (= ${binary:Version}),
         libignition-common3-profiler3 (= ${binary:Version}),
         libignition-common3-events3 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Breaks: libignition-common-dev (<< 3.14.0+dfsg-1~)
Replaces: libignition-common-dev (<< 3.14.0+dfsg-1~)
Description: Collection of useful code used by robotics apps - Metapackage
 Ignition common is a component in the Ignition framework, a set of
 libraries designed to rapidly develop robot applications. A collection of
 useful classes and functions for handling many command tasks. This includes
 parsing 3D mesh files, managing console output, and using PID controllers.
 .
 Metapackage for development. Includes events and profiler.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Disable fixfilepath as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath
BUILDHOME = $(CURDIR)/debian/build

override_dh_auto_configure:
	dh_auto_configure -- \
                -DUSE_HOST_SSE_FLAGS:BOOL=False \
                -DUSE_IGN_RECOMMENDED_FLAGS:BOOL=False

override_dh_clean:
	dh_clean
	rm -rf $(BUILDHOME)

execute_after_dh_auto_install:
	# Manually replace build path by install location in tag file
	sed -i -e 's#$(CURDIR).*/include#/usr/include/ignition/common3#' debian/tmp/usr/share/ignition/ignition-common3/ignition-common3.tag.xml

execute_after_dh_install:
	# need to remove duplicate files already present in other -dev packages
	$(RM) debian/libignition-common3-core-dev/usr/include/ignition/common*/ignition/common/av.hh
	$(RM) debian/libignition-common3-core-dev/usr/include/ignition/common*/ignition/common/events.hh
	$(RM) debian/libignition-common3-core-dev/usr/include/ignition/common*/ignition/common/graphics.hh

override_dh_auto_test:
	mkdir -p $(BUILDHOME)
	@echo 'blhc: ignore-line-regexp: .*test/static_assertions/plugin_.*'
	HOME=$(BUILDHOME) dh_auto_test --no-parallel

%:
	dh $@

## ignition-common3 3.14.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-common3 VERSION 3.14.0)
+project(ignition-common3 VERSION 3.14.1)
 
 #============================================================================
 # Find ignition-cmake

=== debian/changelog ===
ignition-common3 (3.14.1+dfsg-2build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:53:59 +0000

ignition-common3 (3.14.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add upstream patch for gcc-12 (Closes: #1012948)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 07 Jul 2022 11:49:14 +0200

ignition-common3 (3.14.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Add branch to Vcs-Git:
  * New upstream version 3.14.1+dfsg (Closes: #1004800)
  * Update d/copyright
  * Rework patches
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 28 Jun 2022 00:24:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: ignition-common3
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: science
 Priority: optional
@@ -19,10 +20,10 @@
                libavdevice-dev,
                libswscale-dev,
                libtinyobjloader-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/ignition-common
-Vcs-Git: https://salsa.debian.org/science-team/ignition-common.git
+Vcs-Git: https://salsa.debian.org/science-team/ignition-common.git -b master_v3
 Homepage: https://ignitionrobotics.org/libs/common
 
 Package: libignition-common3-core-dev
